AutoCompletitionInputControl

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.client
Interface AutoCompletitionInputControl

All Known Implementing Classes:
  CodLookupControl

public interface AutoCompletitionInputControl

Title: OpenSwing Framework

Description: Interface used by AutoCompletitionKeyListener and implemented by input controls that support auto completition.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Method Summary
`void` | `addAncestorListener(javax.swing.event.AncestorListener listener)` Registers `listener` so that it will receive `AncestorEvents` when it or any of its ancestors move or are made visible or invisible.
`void` | `addFocusListener(java.awt.event.FocusListener l)` Adds the specified focus listener to receive focus events from this component when this component gains input focus.
`int` | `getHeight()` Returns the current height of this component.
`java.awt.Point` | `getLocationOnScreen()` Gets the location of this component in the form of a point specifying the component's top-left corner in the screen's coordinate space.
`java.lang.Object` | `getValue()`
`int` | `getWidth()` Returns the current witdh of this component.
`void` | `setValue(java.lang.Object value)` Set value to the input control.

Method Detail

### getValue

    public java.lang.Object getValue()

  Returns:
    value related to the input control

### setValue

    public void setValue(java.lang.Object value)

  Set value to the input control.

  Parameters:
    `value` - value to set into the input control

### addAncestorListener

    public void addAncestorListener(javax.swing.event.AncestorListener listener)

  Registers `listener` so that it will receive `AncestorEvents` when it or any of its ancestors move or are made visible or invisible. Events are also sent when the component or its ancestors are added or removed from the containment hierarchy.

  Parameters:
    `listener` - the `AncestorListener` to register
  See Also:
    `AncestorEvent`

### addFocusListener

    public void addFocusListener(java.awt.event.FocusListener l)

  Adds the specified focus listener to receive focus events from this component when this component gains input focus. If listener `l` is `null`, no exception is thrown and no action is performed.

  Parameters:
    `l` - the focus listener
  Since:
    JDK1.1
  See Also:
    `FocusEvent`, `FocusListener`, `#removeFocusListener`, `#getFocusListeners`

### getLocationOnScreen

    public java.awt.Point getLocationOnScreen()

  Gets the location of this component in the form of a point specifying the component's top-left corner in the screen's coordinate space.

  Returns:
    an instance of `Point` representing the top-left corner of the component's bounds in the coordinate space of the screen
  Throws:
    ``IllegalComponentStateException`` - if the component is not showing on the screen
  See Also:
    `#setLocation`, `#getLocation`

### getHeight

    public int getHeight()

  Returns the current height of this component. This method is preferable to writing `component.getBounds().height`, or `component.getSize().height` because it doesn't cause any heap allocations.

  Returns:
    the current height of this component

### getWidth

    public int getWidth()

  Returns the current witdh of this component. This method is preferable to writing `component.getBounds().witdh`, or `component.getSize().witdh` because it doesn't cause any heap allocations.

  Returns:
    the current witdh of this component

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD